import {createApp} from 'vue'
import App from '@/App.vue'
import '@/reset.css'

// 公共样式
import '@/assets/scss/common.scss'
//ant design 扩展样式
import '@/assets/scss/myAntD.scss'
// iconfont css
import "@/assets/iconfont/iconfont.css";
// vue Router
import router from "@/router";
// pinia stores
import pinia from "@/stores";
import {initDict} from "@/config/dict.ts";
//高德类型声明文件
import "@amap/amap-jsapi-types";

initDict();

const vueApp = createApp(App);

vueApp
    .use(router)
    .use(pinia)
    .mount('#app')
